Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields

# from_utf8_mac_status Struct Reference

## Data Fields
unsigned char | buf [STATUS_BUF_SIZE]
int | beg
int | end
int | len

## Detailed Description

Definition at line 10658 of file utf8_mac.c.

## Field Documentation

int from_utf8_mac_status::beg

Definition at line 10660 of file utf8_mac.c.

Referenced by buf_at(), buf_bytesize(), buf_clear(), buf_output_all(), buf_output_char(), buf_shift(), and buf_shift_char().

unsigned char from_utf8_mac_status::buf[STATUS_BUF_SIZE]

Definition at line 10659 of file utf8_mac.c.

Referenced by buf_at(), buf_output_char(), buf_push(), buf_shift(), and buf_shift_char().

int from_utf8_mac_status::end

Definition at line 10661 of file utf8_mac.c.

Referenced by buf_bytesize(), buf_clear(), buf_output_all(), buf_output_char(), buf_push(), and buf_shift_char().

int from_utf8_mac_status::len

Definition at line 10662 of file utf8_mac.c.

Referenced by buf_clear(), buf_push(), and buf_shift().

The documentation for this struct was generated from the following file:

- enc/trans/utf8_mac.c